/**
 * Copyright (c) Meta Platforms, Inc. and affiliates.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE file in the root directory of this source tree.
 *
 *
 * @format
 * @oncall react_native
 */

import type { Task } from "./types";
import type { ExecaPromise } from "execa";
type AppleBuildMode = "Debug" | "Release";
type AppleBuildOptions =
  /**
   * > 23 |   ...AppleOptions,
   *      |   ^^^^^^^^^^^^^^^ Unsupported feature: Translating "object types with spreads in the middle or at the end" is currently not supported.
   **/
  any;
type AppleBootstrapOption =
  /**
   * > 31 |   ...AppleOptions,
   *      |   ^^^^^^^^^^^^^^^ Unsupported feature: Translating "object types with spreads in the middle or at the end" is currently not supported.
   **/
  any;
type AppleInstallApp =
  /**
   * > 40 |   ...AppleOptions,
   *      |   ^^^^^^^^^^^^^^^ Unsupported feature: Translating "object types with spreads in the middle or at the end" is currently not supported.
   **/
  any;
type AppleOptions = { cwd: string; env?: { [key: string]: string | void } };
export declare const tasks: {
  bootstrap: (options: AppleBootstrapOption) => {
    cleanupBuildFolder: Task<void>;
    runCodegen: Task<void>;
    validate: Task<void>;
    installRubyGems: Task<ExecaPromise>;
    installDependencies: Task<ExecaPromise>;
  };
  build: (
    options: AppleBuildOptions,
    ...args: ReadonlyArray<string>
  ) => {
    validate: Task<void>;
    hasPodsInstalled: Task<void>;
    build: Task<ExecaPromise>;
  };
  ios: {
    install: (options: AppleInstallApp) => {
      validate: Task<void>;
      install: Task<ExecaPromise>;
    };
  };
};
export declare type tasks = typeof tasks;
