/**
 * Copyright (c) Meta Platforms, Inc. and affiliates.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE file in the root directory of this source tree.
 *
 *
 * @format
 * @oncall react_native
 */

import type { Task } from "./types";
export declare function task<R>(
  order: number,
  label: string,
  action: Task<R>["action"]
): Task<R>;
export declare const isWindows: any;
export declare type isWindows = typeof isWindows;
export declare const isMacOS: any;
export declare type isMacOS = typeof isMacOS;
export declare const toPascalCase: (label: string) => string;
export declare type toPascalCase = typeof toPascalCase;
type PathCheckResult = { found: boolean; dep: string; description: string };
export declare function isOnPath(
  dep: string,
  description: string
): PathCheckResult;
export declare function assertDependencies(
  ...deps: ReadonlyArray<ReturnType<typeof isOnPath>>
): void;
